#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1100three4xi.py">
#<abstract4xi abstract = "fires to direction three and to distance 1100"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1100three4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2THREE - COORDINATE SIGNS OF SHOOT2THREE4XI: (X + ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2three11004xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

       
# -------------------------------------------------------------------------------------------------
# SHOT2THREE - COORDINATE SIGNS OF SHOOT2THREE4XI: (X + ,Y + ,Z - ) - STUBS ONLY - ALL ARE IN FILES
# -------------------------------------------------------------------------------------------------    

shot2three11004xi = {
                1:'0x1067y-264z',
                2:'0x10y-1099z',
                3:'0x21y-1099z',
                4:'0x32y-1099z',
                5:'100x129y-1087z',
                6:'10x14y-1099z',
                7:'112x1066y-243z',
                8:'112x922y-588z',
                9:'114x132y-1085z',
                10:'117x311y-1048z',
                11:'128x134y-1084z',
                12:'12x269y-1066z',
                13:'12x64y-1098z',
                14:'138x314y-1044z',
                15:'139x989y-459z',
                16:'143x134y-1082z',
                17:'144x922y-754z',
                18:'158x134y-1080z',
                19:'159x316y-1041z',
                20:'15x917y-607z',
                21:'161x920y-579z',
                22:'168x1061y-232z',
                23:'173x132y-1078z',
                24:'177x843y-682z',
                25:'180x316y-1037z',
                26:'189x129y-1075z',
                27:'18x22y-1099z',
                28:'18x74y-1097z',
                29:'191x985y-449z',
                30:'202x315y-1034z',
                31:'211x916y-570z',
                32:'223x840y-674z',
                33:'224x1053y-221z',
                34:'224x313y-1030z',
                35:'243x978y-439z',
                36:'247x308y-1026z',
                37:'25x83y-1096z',
                38:'260x909y-560z',
                39:'269x303y-1022z',
                40:'269x833y-665z',
                41:'26x29y-1099z',
                42:'279x1042y-210z',
                43:'27x279y-1063z',
                44:'292x295y-1018z',
                45:'296x968y-429z',
                46:'309x900y-551z',
                47:'314x824y-656z',
                48:'315x287y-1014z',
                49:'334x1028y-199z',
                50:'337x276y-1009z',
                51:'33x92y-1095z',
                52:'347x955y-419z',
                53:'34x989y-479z',
                54:'358x887y-541z',
                55:'359x264y-1005z',
                56:'360x812y-647z',
                57:'36x35y-1098z',
                58:'381x250y-1000z',
                59:'388x1011y-189z',
                60:'398x939y-409z',
                61:'3x43y-1099z',
                62:'3x5y-1099z',
                63:'405x798y-638z',
                64:'406x872y-532z',
                65:'42x101y-1094z',
                66:'43x287y-1060z',
                67:'441x991y-178z',
                68:'449x781y-629z',
                69:'449x921y-398z',
                70:'454x854y-522z',
                71:'46x40y-1098z',
                72:'493x762y-620z',
                73:'493x968y-167z',
                74:'498x900y-388z',
                75:'500x834y-512z',
                76:'52x108y-1093z',
                77:'536x740y-611z',
                78:'544x942y-156z',
                79:'546x811y-502z',
                80:'547x875y-378z',
                81:'56x1068y-253z',
                82:'56x45y-1097z',
                83:'578x716y-602z',
                84:'591x785y-493z',
                85:'593x914y-145z',
                86:'594x849y-367z',
                87:'618x689y-593z',
                88:'61x295y-1057z',
                89:'634x757y-483z',
                90:'63x115y-1092z',
                91:'63x921y-598z',
                92:'640x819y-357z',
                93:'641x883y-134z',
                94:'658x660y-583z',
                95:'676x726y-473z',
                96:'684x787y-347z',
                97:'687x849y-123z',
                98:'68x48y-1096z',
                99:'696x628y-574z',
                100:'717x693y-463z',
                101:'727x753y-336z',
                102:'732x595y-565z',
                103:'732x813y-112z',
                104:'74x121y-1090z',
                105:'756x657y-453z',
                106:'767x559y-555z',
                107:'768x716y-326z',
                108:'774x774y-101z',
                109:'792x620y-443z',
                110:'79x302y-1054z',
                111:'7x54y-1098z',
                112:'807x677y-315z',
                113:'814x733y-90z',
                114:'827x580y-433z',
                115:'844x636y-305z',
                116:'852x690y-80z',
                117:'86x990y-469z',
                118:'878x592y-294z',
                119:'87x126y-1089z',
                120:'888x645y-69z',
                121:'98x307y-1051z'}
                
 
# -----------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1100three4xi" usage = "target function for chargethree4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -----------------------------------------------------------------------------------------------------------
def fire1100three4xi(queue2three, consumer_channel2three, publisher_channel2three):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE11000THREE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE11000THREE4XI -  QUEUE2THREE: ", queue2three)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE11000THREE4XI -  CONSUMER_CHANNEL2THREE: ", consumer_channel2three)
        #  
              
        print("\n (STEP 1A4/33) OF FIRE11000THREE4XI -  PUBLISHER_CHANNEL2THREE: ", publisher_channel2three)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE11000THREE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2three.put(shot2three11004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE11000THREE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE11000THREE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE11000THREE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4three = "<ack2put4xi>queue2three8shot2three11004xi</ack2put4xi>"
        else:
            message2send4three = "<nack2put4xi>queue2three<8shot2three11004xi/nack2put4xi>" 
            
        publisher_channel2three.send(message2send4three)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE11000THREE4XI -  SENT MESSAGE2SEND4THREE: ", message2send4three, " TO PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE11000THREE4XI *** FAILED TO SEND MESSAGE2SEND4THREE: ", message2send4three, " TO PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE11000THREE4XI - RETURNING QUEUE OBJECT QUEUE2THREE: ", queue2three, " - TIME: ", time4xi())  
        # 
            
    return queue2three    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1100three4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
                               
                